;;; Here's my local setup.  It may not work for you but it is there just to
;;; show almost all customization options.

;;; ------------
;;; phone
;;; ------------

;;; site-init.el

(setq phone-number-international-prefix "00"
      phone-number-long-distance-prefix "0"
      phone-number-country-code "49"
      phone-number-area-code "7352")

(autoload 'phone-number-dial-string "phone"
  "Build a phone number suitable for the modem." t)

;;; ------------
;;; snail
;;; ------------

;;; site-init.el

(setq snail-country-regexp "\\(Germany\\|Deutschland\\)")

(autoload 'snail-read-database-file "snail"
  "Parse a snail address database." t)

(autoload 'snail-define-snail-alias "snail"
  "Define a paper mail alias." t)

(autoload 'snail-address "snail"
  "Insert a paper mail address at point." t)

(autoload 'snail-db-find-file "snail"
  "Visit an EDB database file." t)

;;; .emacs

(setq snail-define-mail-alias nil
      snail-define-fax-alias t)

;;; default.el

(setq snail-db-aux-directory "/home/rs/lib/emacs/lisp"
      snail-db-format-directory "/home/rs/lib/emacs/lisp")

;;; ------------
;;; faxutil
;;; ------------

;;; site-init.el

(autoload 'fax-read-resource-file "faxutil"
  "Read a fax resource file." t)

(autoload 'fax-define-fax-alias "faxutil"
  "Define a fax alias." t)

(autoload 'fax-number "faxutil"
  "Insert the fully resolved phone number of a fax alias at point." t)

(autoload 'fax-simple-number "faxutil"
  "Insert the phone number of a fax alias at point." t)

(autoload 'fax-file-name "faxutil"
  "Read a file name from the mini-buffer and insert it at point." t)

;;; ------------
;;; sendfax.el
;;; ------------

;;; site-init.el

(setq fakefax-program "/home/rs/lib/emacs/lisp/fakefax")

(setq sendfax-package "faxpr"
      sendfax-program "/home/rs/bin/faxpr"
      sendfax-switches '("-x")
      sendfax-number-switch nil
      sendfax-file-switch nil)

(autoload 'sendfax-configure "sendfax"
  "Configure a known fax package." t)

(autoload 'sendfax-buffer "sendfax"
  "Pass the current buffer to the fax sub-system." t)

(autoload 'sendfax-region "sendfax"
  "Pass the current region to the fax sub-system." t)

(autoload 'fax "sendfax"
  "Edit a fax message to be sent." t)

;;; .emacs

(setq fax-archive-file-name "~/FAX.archive"

      fax-from (list (concat "Ralph Schleicher\n"
			     "Biberacher Strae 40\n"
			     "88416 Ochsenhausen\n"))
      fax-date '((lambda ()
		   (time-stamp-strftime "Ochsenhausen, %d.%m.%y\n"))))

;;; The average character width of IBM Courier at 12 points is 7.2 points (a
;;; PostScript point is 1/72 inch).  Setting the average width to 7.0 points
;;; allows an overhang of 2 characters before a line will be broken.
;;;
;;; 52 lines per page are exactly 13.5 points per line.	 Increasing this
;;; value a little bit caches rounding errors.

(setq fax-mode-hook '(lambda ()
		       (setq fill-column 70)))

(setq sendfax-write-region-hooks '(lambda ()
				    (setq ps-paper-type 'ps-letter
					  ps-left-margin 54
					  ps-right-margin 54
					  ps-top-margin 36
					  ps-bottom-margin 54
					  ps-font-size 12
					  ps-avg-char-width 7.0
					  ps-space-width 7.0
					  ps-line-height 13.52
					  ps-print-header nil))

      sendfax-write-region-function 'ps-print-region-with-faces)

;;; ------------
;;; texfax
;;; ------------

;;; emacs.el

(require 'texfax)

(setq sendfax-write-region-hooks nil
      sendfax-write-region-function 'texfax-write-region

      fax-mode-hook
      '(lambda ()
	 (setq fill-column 76))

      fax-setup-hook
      '(lambda ()
	 (save-excursion
	   (let (start)
	     (insert "\n\f\nTsch\n\n")
	     (setq start (point))
	     (insert "\\epsffile{/home/rs/lib/tex/graphics/ralph.ps}\n")
	     (put-text-property start (1- (point)) 'intangible t)
	     (insert "\f\nMit freundlichen Gren\n\n")
	     (setq start (point))
	     (insert "\\epsffile{/home/rs/lib/tex/graphics/rs.ps}\n")
	     (put-text-property start (1- (point)) 'intangible t)
	     (insert "Ralph Schleicher\n"))))

      texfax-tex-program "dctex"
      texfax-dvips-switches '("-P" "fax"))
