;;; makedoc.el -- write documentation strings to the file `./DOC'.
;;;
;;; Copyright (C) 1995 Ralph Schleicher
;;;
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation; either version 2 of
;;; the License, or (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


(load-file "./symbols")

(with-output-to-temp-buffer "*Help*"
  (mapcar (function
	   (lambda (symbol)
	     (if (and (fboundp symbol) (commandp symbol))
		 (princ (format "Function: %s\n%s\n\n\n" symbol
				(or (documentation symbol)
				    "Not documented."))))
	     (if (and (boundp symbol) (user-variable-p symbol))
		 (princ (format "Variable: %s\n%s\n\n\n" symbol
				(or (documentation-property
				     symbol 'variable-documentation)
				    "Not documented."))))))
	  symbols))

(set-buffer "*Help*")

(write-region (point-min) (point-max) "./DOC")
